Menu Close

9.9. 컴파일러 및 개발 도구

Libdwarf 가 더 이상 사용되지 않음

RHEL 8에서는 libdwarf 라이브러리가 더 이상 사용되지 않습니다. 라이브러리는 향후 주요 릴리스에서 지원되지 않을 가능성이 큽니다. 대신 ELF/DWARF 파일을 처리하려는 애플리케이션에 elfutilslibdw 라이브러리를 사용합니다.

libdwarf-tools dwarfdump 프로그램의 대안은 모두 --debug -dump 플래그를 전달하여 사용하는 binutils readelf 프로그램 또는 elfutils eu- readelf 프로그램입니다.

(BZ#1920624)

gdb.i686 패키지는 더 이상 사용되지 않습니다.

RHEL 8.1에서는 다른 패키지의 종속성 문제로 인해 32비트 버전의 GDB(GNU Debugger) gdb.i686 이 제공되었습니다. RHEL 8에서는 32비트 하드웨어를 지원하지 않으므로 RHEL 8.4 이후 gdb.i686 패키지는 더 이상 사용되지 않습니다. 64비트 버전의 GDB gdb.x86_64 는 32비트 애플리케이션을 디버깅할 수 있습니다.

gdb.i686 을 사용하는 경우 다음과 같은 중요한 문제를 확인합니다.

  • gdb.i686 패키지는 더 이상 업데이트되지 않습니다. 대신 gdb.x86_64 를 설치해야 합니다.
  • gdb.i686이 설치되어 있으면 gdb. x86_64를 설치하면 dnf패키지 gdb -8.2-14.el8.x86_64가 더 이상 사용되지 않습니다. gdb-8.2-12.el8.i686에서 제공하는 gdb <8.2-14.el8.el8.el8.i686. 이 동작은 다음과 같습니다. gdb.i686 을 제거하거나 dnf--allowerasing 옵션을 전달하여 gdb.i686 을 제거하고 gdb.x8_64 를 설치합니다.
  • 사용자는 더 이상 libc.so .6()(64비트) 패키지를 사용하는 64비트 시스템에 gdb. i686 패키지를 설치할 수 없습니다.

(BZ#1853140)